# Uses of Interface
org.apache.sling.validation.model.ValidationModel

Packages that use ValidationModel
Package
Description
org.apache.sling.validation
org.apache.sling.validation.model.spi

## Uses of ValidationModel in org.apache.sling.validation

Methods in org.apache.sling.validation that return ValidationModel
Modifier and Type
Method
Description
`@Nullable ValidationModel`
ValidationService.`getValidationModel(@NotNull String validatedResourceType, String resourcePath, boolean considerResourceSuperTypeModels)`
Tries to obtain a `ValidationModel` that is able to validate a `Resource` of type `validatedResourceType`.
`@Nullable ValidationModel`
ValidationService.`getValidationModel(@NotNull org.apache.sling.api.resource.Resource resource, boolean considerResourceSuperTypeModels)`
Tries to obtain a `ValidationModel` that is able to validate the given `resource`.
Methods in org.apache.sling.validation with parameters of type ValidationModel
Modifier and Type
Method
Description
`@NotNull ValidationResult`
ValidationService.`validate(@NotNull org.apache.sling.api.resource.Resource resource, @NotNull ValidationModel model)`
Validates a `Resource` using a specific `ValidationModel`.
`@NotNull ValidationResult`
ValidationService.`validate(@NotNull org.apache.sling.api.resource.ValueMap valueMap, @NotNull ValidationModel model)`
Validates a `ValueMap` or any object adaptable to a `ValueMap` using a specific `ValidationModel`.

## Uses of ValidationModel in org.apache.sling.validation.model.spi

Methods in org.apache.sling.validation.model.spi that return ValidationModel
Modifier and Type
Method
Description
`@Nullable ValidationModel`
ValidationModelRetriever.`getValidationModel(@NotNull String resourceType, String resourcePath, boolean considerResourceSuperTypeModels)`
A validation model for the given resourceType at the given resourcePath
Methods in org.apache.sling.validation.model.spi that return types with arguments of type ValidationModel
Modifier and Type
Method
Description
`@NotNull List<ValidationModel>`
ValidationModelProvider.`getValidationModels(@NotNull String relativeResourceType)`
Retrieves the models responsible for validating the given resourceType.